> For the complete documentation index, see [llms.txt](https://docs.digitalsamba.com/reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalsamba.com/reference/sdk/methods/toggletoolbar.md).

# toggleToolbar()

Toggles the application toolbar visibility state.&#x20;

If the toolbar is currently shown, then it will be hidden. And vice-versa -> if the toolbar is currently hidden, then it will be shown. There is also an optional param to set a concrete target visibility state, but you may use [hideToolbar()](/reference/sdk/methods/hidetoolbar.md) and [showToolbar()](/reference/sdk/methods/showtoolbar.md) to achieve similar functionality.

```javascript
//This will toggle the toolbar visibility state
sambaFrame.toggleToolbar();

//This will show the toolbar, equivalent to sambaFrame.showToolbar();
sambaFrame.toggleToolbar(true); 

//This will hide the toolbar, equivalent to sambaFrame.hideToolbar();
sambaFrame.toggleToolbar(false);
```

**Sample use case**: \
You may have a button in your application to control the toolbar visibility.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/methods/toggletoolbar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
